﻿

@{
    ViewData["Title"] = "User Information";
}


<h2>User Information</h2>
<div ng-app="userInformationApp" ng-controller="userInformationController">
    <p>
        <a asp-controller="UserInformation" asp-action="Create">Create New</a>
    </p>
    <form>
        <div class="form-group">
            <label>Search</label>
            <input type="text" ng-model="search" class="form-control" placeholder="Search" />
        </div>
    </form>
    <table class="table">
        <thead>
            <tr>
                <th>
                    First Name
                </th>
                <th>
                    Last Name
                </th>
                <th>
                    Delivery Address
                </th>
                <th>
                    Billing Address
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody dir-paginate="user in userList | orderBy: sortKey:reverse | itemsPerPage:5 | filter: search ">
            <tr>

                <td>
                    {{user.firstName}}
                </td>
                <td>
                    {{user.lastName}}
                </td>
                <td>
                    {{user.deliveryAddress}}
                </td>
                <td>
                    {{user.billingAddress}}
                </td>

                <td>
                    <a asp-controller="UserInformation" asp-action="Edit" ng-click="gotoEdit(user.id)">Edit</a>
                    <a ng-click="deleteUser(user.id)">Delete</a>
                </td>
            </tr>
        </tbody>
        <dir-pagination-controls max-size="5"
                                 direction-links="true"
                                 boundary-links="true">
        </dir-pagination-controls>
    </table>

</div>
<script src="~/js/dirPagination.js" type="text/javascript"></script>
<script type="text/javascript" src="~/js/script.js"></script>